## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate sequoia-policy-config

Name:           rust-sequoia-policy-config
Version:        0.7.0
Release:        %autorelease
Summary:        Configure Sequoia using a configuration file

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-policy-config
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-policy-config-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
Patch:          sequoia-policy-config-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Configure Sequoia using a configuration file.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        LGPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND MIT AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sequoia-policy-config-check

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-rust" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-rust-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f crypto-openssl

%build
%cargo_build -f crypto-openssl
%{cargo_license_summary -f crypto-openssl}
%{cargo_license -f crypto-openssl} > LICENSE.dependencies

%install
%cargo_install -f crypto-openssl

%if %{with check}
%check
%cargo_test -f crypto-openssl
%endif

%changelog
## START: Generated by rpmautospec
* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-3
- Rebuild for openssl crate >= v0.10.70 (RUSTSEC-2025-0004)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2311950

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-8
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-6
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-4
- Rebuild for sequoia-openpgp v1.16

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-3
- Rebuild for openssl crate >= v0.10.48 (RUSTSEC-2023-{0022,0023,0024})

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-2
- Expose features for crypto backends without setting a default

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2175814

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0; Fixes RHBZ#2145245

* Mon Nov 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0

* Mon Nov 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Initial import (#2138445)
## END: Generated by rpmautospec
